## GDataComment GDataComment — GData comment object |

## Stability Level

Unstable, unless otherwise indicated

## Types and Values

| GDataComment
| GDataCommentClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataComment
                    ├── GDataPicasaWebComment
                    ╰── GDataYouTubeComment

## Includes

    #include <gdata/gdata-comment.h>

## Description

GDataComment is a subclass of GDataEntry to represent a generic comment on an entry. It is returned by the methods implemented in the GDataCommentable interface.

Any class which implements GDataCommentable should have its own concrete subclass of GDataComment which provides service-specific functionality.

All subclasses of GDataComment should ensure that the body of a comment is accessible using `gdata_entry_get_content()`, and that each comment has at least one GDataAuthor object representing the person who wrote the comment, accessible using `gdata_entry_get_authors()`.

## Functions

## Types and Values

### GDataComment

    typedef struct _GDataComment GDataComment;

All the fields in the GDataComment structure are private and should never be accessed directly.

Since 0.10.0

### GDataCommentClass

    typedef struct {
    } GDataCommentClass;

All the fields in the GDataCommentClass structure are private and should never be accessed directly.

Since 0.10.0